Home Forums HDP on Linux – Installation Install HDP with ambari Error on SUSE11sp1

This topic contains 14 replies, has 3 voices, and was last updated by  Larry Liu 1 year, 8 months ago.

  • Creator
    Topic
  • #17396

    bruce wang
    Member

    Hi,
    I am trying to install HDP with ambari.
    My OS is SUSE11sp1,I get the repo from: http://public-repo-1.hortonworks.com/ambari/suse11/1.x/GA/ambari.repo.
    The ambari server was installed successfully.But I failed on “Install, Start and Test” page while installing services.
    I found error logs ln the POP window of Failures encountered Message.
    on “ DataNode install”:
    ……
    err: /Stage[main]/Hdp-hadoop/Hdp-hadoop::Package[hadoop]/Hdp::Package[hadoop 64]/Hdp::Package::Process_pkg[hadoop 64]/Package[hadoop-sbin]/ensure: change from absent to present failed: Execution of ‘/usr/bin/zypper –quiet install -l -y hadoop-sbin’ returned 4:
    The following NEW packages are going to be installed:
    hadoop hadoop-sbin
    The following packages are not supported by their vendor:
    hadoop hadoop-sbin
    2 new packages to install.
    Overall download size: 38.8 MiB. After the operation, additional 83.4 MiB will be used.
    Continue? [y/n/?] (y): y
    Installation of hadoop-1.1.2.21-1 failed:
    (with –nodeps –force) Error: Subprocess failed. Error: RPM failed: error: /var/cache/zypp/packages/HDP-1.2.0/hadoop/hadoop-1.1.2.21-1.x86_64.rpm: Header V4 RSA/SHA1 signature: BAD, key ID 7f4627eb
    error: /var/cache/zypp/packages/HDP-1.2.0/hadoop/hadoop-1.1.2.21-1.x86_64.rpm cannot be installed
    Abort, retry, ignore? [a/r/i] (a): a
    Problem occured during or after installation or removal of packages:
    Installation aborted by user
    err: /Stage[main]/Hdp-hadoop/Hdp-hadoop::Package[hadoop]/Hdp::Package[hadoop 64]/Hdp::Package::Process_pkg[hadoop 64]/Package[hadoop-libhdfs]/ensure: change from absent to present failed: Execution of ‘/usr/bin/zypper –quiet install -l -y hadoop-libhdfs’ returned 4:
    The following NEW packages are going to be installed:
    hadoop hadoop-libhdfs
    The following packages are not supported by their vendor:
    hadoop hadoop-libhdfs
    2 new packages to install.
    Overall download size: 38.7 MiB. After the operation, additional 83.2 MiB will be used.
    Continue? [y/n/?] (y): y
    Installation of hadoop-1.1.2.21-1 failed:

    On “Ganglia Monitor install”:
    ……
    err: /Stage[2]/Hdp-ganglia::Monitor/Hdp::Package[ganglia-monitor]/Hdp::Package::Process_pkg[ganglia-monitor]/Package[ganglia-gmond-3.2.0]/ensure: change from absent to present failed: Execution of ‘/usr/bin/zypper –quiet install -l -y ganglia-gmond-3.2.0′ returned 4: Problem: nothing provides libconfuse.so.0()(64bit) needed by ganglia-gmond-3.2.0-99.x86_64
    Solution 1: do not ask to install a solvable providing ganglia-gmond = 3.2.0
    Solution 2: break ganglia-gmond by ignoring some of its dependencies
    Choose from above solutions by number or cancel [1/2/c] (c): c
    notice: /Stage[2]/Hdp-ganglia::Monitor/Hdp::Package[ganglia-monitor]/Hdp::Package::Process_pkg[ganglia-monitor]/Anchor[hdp::package::ganglia-monitor::end]: Dependency Package[ganglia-gmond-3.2.0] has failures: true
    ……
    Thanks for any help!

Viewing 14 replies - 1 through 14 (of 14 total)

You must be logged in to reply to this topic.

  • Author
    Replies
  • #18921

    Larry Liu
    Moderator

    Hi, Bruce

    One more thing to try is to do if you haven’t tried that:

    zypper clean
    zypper refresh

    Thanks
    Larry

    Collapse
    #18844

    Larry Liu
    Moderator

    Hi, Bruce,

    Look like the version of SUSE matches.

    Can you please also try to download key file http://public-repo-1.hortonworks.com/ambari/suse11/RPM-GPG-KEY/RPM-GPG-KEY-Jenkins and try to verify it?

    gpg –quiet –with-fingerprint RPM-GPG-KEY-Jenkins

    Thanks
    Larry

    Collapse
    #18322

    bruce wang
    Member

    Hi,Larry

    #cat /etc/SuSE-release
    output:

    SUSE Linux Enterprise Server 11 (x86_64)
    VERSION = 11
    PATCHLEVEL = 1

    /etc/zypp/repos.d/ambari.repo
    content:

    [HDP-UTILS-1.1.0.15]
    name=Hortonworks Data Platform Utils Version – HDP-UTILS-1.1.0.15
    enabled=1
    autorefresh=0
    baseurl=http://public-repo-1.hortonworks.com/HDP-UTILS-1.1.0.15/repos/suse11
    type=rpm-md
    priority=1
    gpgcheck=0
    gpgkey=http://public-repo-1.hortonworks.com/ambari/suse11/RPM-GPG-KEY/RPM-GPG-KEY-Jenkins
    [Updates-ambari-1.x]
    name=ambari-1.x – Updates
    enabled=1
    autorefresh=0
    baseurl=http://public-repo-1.hortonworks.com/ambari/suse11/1.x/updates
    type=rpm-md
    priority=1
    gpgcheck=0
    gpgkey=http://public-repo-1.hortonworks.com/ambari/suse11/RPM-GPG-KEY/RPM-GPG-KEY-Jenkins
    [ambari-1.x]
    name=Ambari 1.x
    enabled=1
    autorefresh=0
    baseurl=http://public-repo-1.hortonworks.com/ambari/suse11/1.x/GA
    type=rpm-md
    priority=1
    gpgcheck=0
    gpgkey=http://public-repo-1.hortonworks.com/ambari/suse11/RPM-GPG-KEY/RPM-GPG-KEY-Jenkins

    There is no HDP.repo under /etc/zypp/repos.d.

    Thanks!

    Collapse
    #18314

    Larry Liu
    Moderator

    Can you please also provide outout of following command?

    cat /etc/SuSE-release

    Larry

    Collapse
    #18246

    Larry Liu
    Moderator

    Hi, Bruce

    Can you please paste the content from ambari.repo and HDP.repo?

    Larry

    Collapse
    #18210

    bruce wang
    Member

    Hi,Larry

    The issue is not because I try to use both the RPM and the repository file to install.
    I use only the repository file.I didn’t use this command:” rpm -Uvh http://public-repo-1.hortonworks.com/ambari/suse11/1.x/GA/ambari-1.2.0.1-1.noarch.rpm“.
    Reinstall the OS is useless.I repeated the four steps on another machine with new SUSE11sp1 OS today,and the result is the same.

    Thanks!

    Collapse
    #18151

    Larry Liu
    Moderator

    Hi, Michael

    From the repo baseurl, it is pointing to dev repo. baseurl=http://s3.amazonaws.com/dev.hortonworks.com/HDP-1.2.2/repos/suse11

    Can you please provide the steps how you saw this issue

    Larry

    Collapse
    #18150

    Michael Harp
    Participant

    Having same problem with Ambari install on Suse11sp1
    rpm -Kv /var/cache/zypp/packages/HDP-1.2.2/hadoop/hadoop-1.1.2.23-1.x86_64.rpm
    /var/cache/zypp/packages/HDP-1.2.2/hadoop/hadoop-1.1.2.23-1.x86_64.rpm:
    Header V4 RSA/SHA1 signature: BAD, key ID 07513cad
    Header SHA1 digest: OK (03bbdfae37419276c56a132684427fe1f52b27d9)
    V4 RSA/SHA1 signature: BAD, key ID 07513cad
    MD5 digest: OK (a993586a54b37431e42aa834b33caad4)

    Repo Info;
    [HDP-1.2.2]
    name=HDP
    baseurl=http://s3.amazonaws.com/dev.hortonworks.com/HDP-1.2.2/repos/suse11
    path=/
    enabled=1
    gpgcheck=0

    Thanks,
    Mike

    Collapse
    #18060

    Larry Liu
    Moderator

    Hi, Bruce

    Can you try to reinstall your system? When you install the repo, please use either RPM or repository file:

    http://docs.hortonworks.com/HDPDocuments/HDP1/HDP-1.2.1/bk_using_Ambari_book/content/ambari-chap2-1.html

    The issue is caused when you tried to do both.

    Please let me know how it goes.

    Thanks
    Larry

    Collapse
    #17968

    bruce wang
    Member

    Hi,Larry

    While installing HDP 1.2 with ambari ambari-1.2.0.1-1.noarch.rpm,my Error is the same as: http://hortonworks.com/community/forums/topic/ambari-installation-fails-on-suse-linux-11-sp1/#post-17949.
    The step is according to :http://docs.hortonworks.com/HDPDocuments/HDP1/HDP-1.2.1/bk_using_Ambari_book/content/ambari-chap1-1.html.
    (1) wget http://public-repo-1.hortonworks.com/ambari/suse11/1.x/GA/ambari.repo
    (2) cp ambari.repo /etc/zypp/repos.d
    (3) zypper repos
    (4) zypper install ambari-server
    Then got the error:
    ……
    Installation of ambari-server-1.2.1.2-1 failed:
    (with –nodeps –force) Error: Subprocess failed. Error: RPM failed: error: /var/cache/zypp/packages/Updates-ambari-1.x/1.2.1.2/noarch/ambari-server-1.2.1.2-1.noarch.rpm: Header V4 RSA/SHA1 signature: BAD, key ID 07513cad
    error: /var/cache/zypp/packages/Updates-ambari-1.x/1.2.1.2/noarch/ambari-server-1.2.1.2-1.noarch.rpm cannot be installed.
    I did the same thing that removing the ambari-1.2.0.1-1.noarch rpm and reinstalling ambari-server as he did.The result was the same.

    While installing HDP with AMBARI-1.x-1.noarch.rpm downloaded from http://public-repo-1.hortonworks.com/AMBARI-1.x/repos/suse11/AMBARI-1.x-1.noarch.rpm, the step was similar,but the ambari server was installed successfully without error. But It failed on “Install, Start and Test” web page while installing services.The detail error log is on the top.

    Thanks.

    Collapse
    #17950

    Larry Liu
    Moderator

    Hi, Bruce

    This is a weird issue.

    Can you give us the complete list of steps you took to get to this point? I’m looking to find all of the steps necessary to replicate the issue.

    The issue is very similar to http://hortonworks.com/community/forums/topic/ambari-installation-fails-on-suse-linux-11-sp1/#post-17949

    Thanks
    Hope this helps

    Larry

    Collapse
    #17831

    bruce wang
    Member

    I tried to install HDP 1.2 with ambari by following this guide: http://docs.hortonworks.com/HDPDocuments/HDP1/HDP-1.2.1/bk_using_Ambari_book/content/ambari-chap1-1.html.
    The repo file was download from http://public-repo-1.hortonworks.com/ambari/suse11/1.x/GA/ambari.repo
    But when It got to the “zypper install ambari-server” step,the rpm cannot be installed.The output was as follows:
    ……
    Installation of ambari-server-1.2.1.2-1 failed:
    (with –nodeps –force) Error: Subprocess failed. Error: RPM failed: error: /var/cache/zypp/packages/Updates-ambari-1.x/1.2.1.2/noarch/ambari-server-1.2.1.2-1.noarch.rpm: Header V4 RSA/SHA1 signature: BAD, key ID 07513cad
    error: /var/cache/zypp/packages/Updates-ambari-1.x/1.2.1.2/noarch/ambari-server-1.2.1.2-1.noarch.rpm cannot be installed.

    I tried to install HDP with AMBARI-1.x-1.noarch.rpm downloaded from http://public-repo-1.hortonworks.com/AMBARI-1.x/repos/suse11/AMBARI-1.x-1.noarch.rpm.Then the ambari server was installed successfully,but It failed on “Install, Start and Test” page while installing services.They were also rpm key BAD issues as I posted before.

    My OS is SUSE11sp1. I wonder whether any one else has encounted these problems before.How to slove them?

    Collapse
    #17530

    bruce wang
    Member

    Thanks for your help!
    I tested the command: “rpm -Kv”,and still got the signature BAD message as following:

    123d90suse11:~ # rpm -Kv /var/cache/zypp/packages/HDP-1.2.0/hadoop/hadoop-1.1.2.21-1.x86_64.rpm
    /var/cache/zypp/packages/HDP-1.2.0/hadoop/hadoop-1.1.2.21-1.x86_64.rpm:
    Header V4 RSA/SHA1 signature: BAD, key ID 7f4627eb
    Header SHA1 digest: OK (421f68ab61925d70641884f2dd8752b99eaccd26)
    V4 RSA/SHA1 signature: BAD, key ID 7f4627eb
    MD5 digest: OK (f2de42cf616d4f1b1e5849654d0b0068)

    I tried removing repos:HDP-UTILS-1.1.0.15,Updates-ambari-1.x,ambari-1.x and rpm files under /var/cache/zypp/packages/HDP-1.2.0 and /var/cache/zypp/packages/HDP-UTILS-1.1.0.15,then download the repo file and reinstall ambari-server again,but the result was the same.

    Collapse
    #17452

    Larry Liu
    Moderator

    Hi, Bruce

    Thanks for trying HDP.

    I think it is a rpm issue when download from our repo. Can you please try the following command:
    rpm -Kv /var/cache/zypp/packages/HDP-1.2.0/hadoop/hadoop-1.1.2.21-1.x86_64.rpm
    If you still get the following message, please try again from fresh.
    Header V4 RSA/SHA1 signature: BAD

    Please let me know your test.

    Thanks

    Larry

    Collapse
Viewing 14 replies - 1 through 14 (of 14 total)